#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-JcmY1bdHqtB94QuDzkvIwl
key:                  ghcide-2.0.0.0-JcmY1bdHqtB94QuDzkvIwl
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  5c83c6aee7167343ee84d060d4da7a6d
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-JcmY1bdHqtB94QuDzkvIwl
depends:
    Diff-0.4.1-Jc1TR9aaNUv129X0zlHNSG
    Glob-0.10.2-BGLO593yUfq2mxaqm2gzzh
    aeson-2.1.2.1-38LADbNStwmEfKOReucTQy
    aeson-pretty-0.8.10-EqoqZyHsOVOICKhlMxDJzf array-0.5.4.0
    async-2.2.5-CjCuZi34HovIas1x5o0XNl base-4.17.2.1
    base16-bytestring-1.0.2.0-QNB00R14ilFJ2bl5pXkq5 binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-ADYWB5NR7iSCpUfBs08sXI
    co-log-core-0.3.2.5-J51MuY1rxLOGFbMSNaT7dv containers-0.6.7
    cryptohash-sha1-0.11.101.0-6wzWxkfMNbhAFzPtPACREj
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-K8pY59PuWAkBCf0s6WAIlN
    dependent-sum-0.7.2.0-DRRpENDvXTkGKEXx9Revjm directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-D1yTIpW7wVE1K03lpv1z87 exceptions-0.10.5
    extra-1.7.16-CikHmmEQvn83rCDobzYCEG filepath-1.4.2.2
    fingertree-0.1.5.0-8zfmULtU8NoJgtF8Ki79uP
    focus-1.0.3.2-3icsiO9cVXlI3ER1VZFJHf ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-AyfzoILhcg1gey0BLJt85
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-IhwAfweNEn1GXtdJUnXt94
    hashable-1.4.4.0-AT2Ub72SgpTFIbLYNtgVpj
    hie-bios-0.12.0-CuOp1AG44foCofVaZn5xdK
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-9lPxBL45ttODj6N5J08mfk
    hls-graph-2.0.0.0-7mpN8Ni105a3yZzwtw4Ggz
    hls-plugin-api-2.0.0.0-3ttIUvZw6ihLWgKgou3EZc
    implicit-hie-0.1.2.7-C2r53mj26LED7c0NK2cBSF
    implicit-hie-cradle-0.5.0.1-EzFjoW1G4dn4WISHXjLTiU
    lens-5.2.3-7k2QwsHyLcVK6NgbwpIzej
    list-t-1.0.5.5-KItJxutFk4WFX7WyoP0Vt2
    lsp-1.6.0.0-AuMestzpB9CEEjnSBJM0K4
    lsp-types-1.6.0.1-IulO3RKUhD3JqzHgKSkrqs mtl-2.2.2
    opentelemetry-0.8.0-Iv5afZDRNdJGzAcCENPeTW
    optparse-applicative-0.17.1.0-3DJFXm9vTXK45PcUNAvg30
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-1mtUJkMbjCVDzlnVNJCKdo
    prettyprinter-ansi-terminal-1.1.3-3fy17aDLv6BGBSPO6huhox
    random-1.2.1.2-5Y3bNr2vhgE1UbXPPVLWyj
    regex-tdfa-1.3.2.4-LXwWfM9riXbAuaKHkk8lra
    safe-exceptions-0.1.7.4-IOEkGTzCgP9nsdy3dwni1
    sorted-list-0.2.3.1-pM7bxjwwkcFsr2TvmvqMr
    sqlite-simple-0.4.19.0-7hRLJkhICF88KBRe2CluFZ stm-2.5.1.0
    stm-containers-1.2.1.1-KRuDTWKswcfEDeMoUyVS92
    syb-0.7.2.4-2YD6CDfMmJX8WUaza11ezv text-2.0.2
    text-rope-0.3-GlrOI4qcI4REHYARsqE9is time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-F7Dw6tTXv5C3zxHQgA2LvN
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-WenrpHtwHKIVom5hXYF7C
    vector-0.13.2.0-H3MTIE0bxkOEYwCD854O16

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

